%define	majver	2
%define	minver	8
%define	extver	0

Summary: RAR archiver to manage RAR archive files.
Name: rar
Version: %{majver}.%{minver}%{extver}
Release: 2ur
Copyright: Shareware
Group: Applications/Archiving
Source: ftp://ftp.netlab.sk/public/rarsoft/rar/rarlnx%{majver}%{minver}.sfx
URL: http://www.rarsoft.com/
BuildRoot: %{_tmppath}/%{name}-root
Conflicts: unrar
BuildArch: i586
ExclusiveArch: i586

%description
RAR is a general purpose archiving and compression program competing
with/replacing programs such as PKZip, ARJ and others. RAR offers
significantly improved compression ratios, easier use and a better
price as well as supporting long file names, disk spanning and
self-extracting file creation. RAR introduces an original compression
algorithm. It allows higher compression ratios than other PC
archiving tools, especially on executable files, Object libraries,
large text files, etc.

%package unrar
Summary: The decompression tool for RAR files.
Group: Applications/Archiving

%description unrar
RAR is a general purpose archiving and compression program competing
with/replacing programs such as PKZip, ARJ and others. RAR
offers significantly improved compression ratios, easier use and a
better price as well as supporting long file names, disk spanning and
self-extracting file creation. RAR introduces an original compression
algorithm. It allows higher compression ratios than other PC
archiving tools, especially on executable files, Object libraries, large
text files, etc.

This package contains only the decompression utility unrar.

%prep
%setup -T -c
install -m 755 %{SOURCE0} rar-sfx
./rar-sfx

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libdir}/%{name}
pushd rar
	cp {default,dos}.sfx %{buildroot}%{_libdir}/%{name}
	cp {un,}rar %{buildroot}%{_bindir}
popd rar

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc rar/*.txt rar/*.frm rar/*.diz rar/*.lst
%dir %{_libdir}/%{name}
%attr(0644, root, root) %{_libdir}/%{name}/*
%attr(0755, root, root) %{_bindir}/rar

%files unrar
%defattr(-, root, root)
%attr(0755, root, root) %{_bindir}/unrar

%changelog
* Sun Mar 18 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fix the %files with a %dir (cleaner uninstall)
- Spec file cleanup

* Sun Mar 18 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 2.80-1
- New non-beta release

* Mon Feb 26 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 2.80b5-1
- New release, see http://www.rarsoft.com/rar/WhatsNew.txt for
  list of fixed bugs

* Sun Jan 28 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 2.80b4-1
- Nothing exciting, besides the latest beta

* Thu Jan  4 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 2.80b2-1
- Another new version

* Sat Sep 15 2000 01:00:35 Alexander Skwar <ASkwar@DigitalProjects.com> 2.71-1
- New version
